Results 1 to 4 of 4

Thread: How do I upgrade the ClamAV mail virus scanner?

  1. #1
    Join Date
    Jul 2008
    Location
    The Internet
    Posts
    6

    Question How do I upgrade the ClamAV mail virus scanner?

    Dear fellow VPSers,

    I have a Link-4 with CentOS 5 HostInABox/LXAdmin. Generally I am quite happy about it, although getting used to this different approach (compared to OpenSuSE) took/takes me a while.

    Naturally, I would like to update the virus scanner, ClamAV, and virus patterns as often as possible. I call the commands for it in cron.daily (or is it done by lxadmin?), the problem is:

    This version of CentOS 5 does not come with the standard ClamAV, but with clamav-toaster. Again these toaster packages (I had "fun" with the non-standard djbdns-toaster) are creating trouble: They are not available on standard distribution sites (like the dag repository which seems to be good for clamav updates).

    So, does anyone of you know about an update repository for clamav-toaster? clamav-0.93 has been out for a while now, but all I get is clamav-toaster-0.92

    Or: Do you reckon that it is possible to install the "real" clamav (clamav, clamav-db, clamd, anything else?), replacing clamav-toaster, without confusing lxadmin?

    Thanks for any hints!

    Best regards, nts.

    PS: If possible I do not want to compile the sources from the SRC package available from http://www.qmailtoaster.org/
    Last edited by nts; 07-08-2008 at 03:44 PM. Reason: Adding note on non-src

  2. #2
    Join Date
    Jul 2008
    Location
    The Internet
    Posts
    6

    Smile Solved!

    Too bad, no-one answered. Apparently a tricky or non-interesting subject. After googling a lot, I came up with this step-by-step solution:

    Code:
    cd /root
    wget -nd -v http://www.qmailtoaster.org/download/develop/clamav-toaster-0.93.1-1.3.19.src.rpm
    yum install rpm-build
    yum install bzip2-devel gmp-devel zlib-devel curl-devel libidn-devel
    rpmbuild --rebuild --with cnt50 clamav-toaster-0.93.1-1.3.19.src.rpm
    mv /usr/src/redhat/RPMS/i386/clamav-toaster-0.93.1-1.3.19.i386.rpm .
    rpm -Uhv clamav-toaster-0.93.1-1.3.19.i386.rpm
    The rpmbuild needs some libraries, which in turn require even more libraries. If you are concerned about disk space you would probably want to note down all dependency installations by yum and deinstall them together with bzip2-devel gmp-devel zlib-devel curl-devel libidn-devel after executing the the rpm -Uhv command.

    Hope this helps someone else!

    --nts.

    PS: If the above URI for wget is outdated or you want to make sure you have the newest version check the package list at http://www.qmailtoaster.org/ .
    Last edited by nts; 08-21-2008 at 05:14 PM. Reason: Small clarification on the removal of packages.

  3. #3
    Join Date
    Aug 2008
    Posts
    1

    Default

    Hi i wish to contribute to qmail toaster project, can i add this explanation of how to upgrade clamav-toaster at qmail-toaster wiki.
    Can i do that nts?

    Nightduke

  4. #4
    Join Date
    Jul 2008
    Location
    The Internet
    Posts
    6

    Smile Yes you can

    Hello Nightduke,

    Yes, no problem, you can use my reply.

    Kind regards,

    nts.

    Quote Originally Posted by nightduke View Post
    Hi i wish to contribute to qmail toaster project, can i add this explanation of how to upgrade clamav-toaster at qmail-toaster wiki.
    Can i do that nts?

    Nightduke

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •